Skip to content

GET /accounts/init

Endpoint

GET /accounts/init

Headers

biometrid-app: YOUR_APP_ID
biometrid-credential: YOUR_CREDENTIAL_ID
Content-Type: application/json

cURL Example

curl -X GET "https://api.uat.biometrid.com/accounts/init" \
  -H "biometrid-app: YOUR_APP_ID" \
  -H "biometrid-credential: YOUR_CREDENTIAL_ID" \
  -H "Content-Type: application/json"

Response (200)

{
  "data": {
    "account": {
      "id": "string",
      "name": "string",
      "language": "en",
      "languages": ["en", "pt"],
      "publicKey": "string",
      "customization": {
        "colors": {
          "primary": "#000000",
          "secondary": "#ffffff"
        },
        "typography": {
          "font": "Arial"
        },
        "images": {
          "logo": "string",
          "logoWhite": "string"
        }
      }
    },
    "qualified": {
      "publicKey": "string"
    },
    "system": {
      "fileMaxSize": 5,
      "rtmUrl": "https://api.uat.biometrid.com"
    },
    "providers": ["string"]
  },
  "meta": {
    "message": "Successfull get account",
    "code": "BIOACACS008"
  },
  "status": true
}

Response (401)

{
  "data": {},
  "meta": {
    "message": "Missing authorization header",
    "code": "BIOAMAGE001"
  },
  "status": false
}

Response (403)

{
  "data": {},
  "meta": {
    "message": "Process finished",
    "code": "BIOPMSCE002"
  },
  "status": false
}

Response (404)

{
  "data": {},
  "meta": {
    "message": "App not found",
    "code": "BIOAPPSE005"
  },
  "status": false
}

Response (409)

{
  "data": {},
  "meta": {
    "message": "Account not active",
    "code": "BIOAMAGE012"
  },
  "status": false
}